Valstorm LogoDev

microsoft Endpoints

All endpoints for the microsoft API group. Great for feeding into an LLM context.

GET

/v1/microsoft/auth/login

Login Microsoft

Responses
200
Successful Response
application/json
{}
API Runner

GET

/v1/microsoft/me

Get Microsoft Profile

Responses
200
Successful Response
application/json
{}
API Runner

GET

/v1/microsoft/list-inbox

List Microsoft Inbox

Responses
200
Successful Response
application/json
{}
API Runner

GET

/v1/microsoft/calendar

Get Microsoft Calendar

Responses
200
Successful Response
application/json
{}
API Runner

GET

/v1/microsoft/calendars

List Microsoft Calendars

Responses
200
Successful Response
application/json
{}
API Runner

GET

/v1/microsoft/calendar/events

List Microsoft Events

Parameters
calendar_id
in: query
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/calendar/{calendar_id}/sync

Sync Microsoft Calendar

Triggers an initial full sync or a delta sync of the user's Outlook calendar.


Parameters
calendar_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/email/sync

Sync Microsoft Inbox

Triggers a sync of the user's Outlook inbox. Performs a delta sync if a previous sync has been completed, otherwise performs an initial full sync.


Responses
200
Successful Response
application/json
{}
API Runner

POST

/v1/microsoft/email/send

Send Microsoft Email

Sends an email via Microsoft Graph API.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/SendEmailRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/email/{message_id}/reply

Reply Microsoft Email

Replies to a specific message via Microsoft Graph API.


Parameters
message_id*
in: path
type: string
Request Body
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ReplyEmailRequest"
      }
    }
  }
}
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/microsoft/subscriptions

List Microsoft Subscriptions

Lists all Microsoft Graph subscriptions for the user.


Responses
200
Successful Response
application/json
{}
API Runner

POST

/v1/microsoft/subscriptions

Create Microsoft Subscription

Creates a new Microsoft Graph subscription.


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CreateSubscriptionRequest"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/email/watch

Watch Microsoft Inbox

Sets up a Microsoft Graph subscription (webhook) for real-time email notifications. https://learn.microsoft.com/en-us/graph/api/resources/subscription?view=graph-rest-1.0


Responses
200
Successful Response
application/json
{}
API Runner

POST

/v1/microsoft/calendar/{calendar_id}/watch

Watch Microsoft Calendar

Sets up a Microsoft Graph subscription (webhook) for real-time calendar notifications.


Parameters
calendar_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/microsoft/subscriptions/{subscription_id}

Get Microsoft Subscription

Retrieves a specific Microsoft Graph subscription.


Parameters
subscription_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

PATCH

/v1/microsoft/subscriptions/{subscription_id}

Update Microsoft Subscription

Updates a specific Microsoft Graph subscription.


Parameters
subscription_id*
in: path
type: string
expiration_date_time*
in: query
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

DELETE

/v1/microsoft/subscriptions/{subscription_id}

Delete Microsoft Subscription

Deletes a specific Microsoft Graph subscription.


Parameters
subscription_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/microsoft/auth/callback

Callback Microsoft

Handles the callback from Microsoft. Exchanges code for token and associates it with the correct user.


Parameters
code
in: query
type: string
state
in: query
type: string
error
in: query
type: string
error_description
in: query
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/webhook/notifications/{org_id}/{user_id}

Microsoft Webhook

Public endpoint to receive Microsoft Graph webhook notifications.


Parameters
org_id*
in: path
type: string
user_id*
in: path
type: string
validationToken
in: query
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/microsoft/webhook/calendar/notifications/{org_id}/{user_id}/{calendar_id}

Microsoft Calendar Webhook

Public endpoint to receive Microsoft Graph webhook notifications for calendar events.


Parameters
org_id*
in: path
type: string
user_id*
in: path
type: string
calendar_id*
in: path
type: string
validationToken
in: query
type: string
Responses
200
Successful Response
application/json
{}
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner